FROM node:14-alpine

WORKDIR /usr/src/client

ARG BASE_SERVER_URL

ENV BASE_SERVER_URL $BASE_SERVER_URL

RUN apk update && apk upgrade
RUN apk add git

COPY . /usr/src/client

RUN npm install
RUN npm run generate

ENV NUXT_HOST=0.0.0.0
ENV NUXT_PORT=$PORT

CMD ["npm", "start"]
